COMPILEUSB=no
AUTHORIZELINUXQSTYLES=yes

TEMPLATE	= app
LANGUAGE	= C++
TARGET	 = aly


ALYVERSION=0.2.1
DEFINES += ALYVERSION=$${ALYVERSION}

equals(QT_MAJOR_VERSION, 6) {
QT += core gui widgets xml network printsupport concurrent qml core5compat
} else {
equals(QT_MAJOR_VERSION, 5){
greaterThan(QT_MINOR_VERSION, 6) {
QT += core gui widgets xml network printsupport concurrent qml
} else {
message("Qt>=5.7 is required.")
}
}
}


CONFIG	+= qt hide_symbols warn_off rtti_off exceptions_off c++11 release
CONFIG -= precompile_header

gcc {
    QMAKE_CXXFLAGS_WARN_ON += -Wno-unused-parameter
}

msvc {
    QMAKE_CXXFLAGS_WARN_ON += -wd"4267"
}



###############################

HEADERS	+= aly.h \
    theme.h \
    dropshadowlabel.h \
	geticon.h \
	alyapp.h \
	minisplitter.h \
	playerbutton.h \
	alyeditor.h \
	alyhighlighter.h \
	alyeditorview.h \
	linenumberwidget.h \
	lightalyeditor.h \
	lightalyhighlighter.h \
	lightlinenumberwidget.h \
	alyconsole.h \
	sourceview.h \
	findwidget.h \
	gotolinewidget.h \
	lightfindwidget.h \
	lightgotolinewidget.h \
	replacewidget.h \
	filechooser.h \
	usermenudialog.h \
	configdialog.h \
	aboutdialog.h \
	xmltagslistwidget.h \
	blockdata.h \
	keysequencedialog.h \
	encodingdialog.h \
	usercompletiondialog.h \
	textblockselection.h \
	scandialog.h \
	usertagslistwidget.h \
	addtagdialog.h \
	versiondialog.h \
	unicodedialog.h \
	unicodeview.h \
	latexhighlighter.h \
	latexviewdialog.h \
	toolbox.h \
	cmdparser.h \
	x11fontdialog.h \
	consolehighlighter.h \
	singleapp/qtlocalpeer.h \
	singleapp/qtlockedfile.h \
	singleapp/qtsingleapplication.h \
	singleapp/qtsinglecoreapplication.h \
	encodingprober/CharDistribution.h \
	encodingprober/ChineseGroupProber.h \
	encodingprober/ctype_test_p.h \
	encodingprober/JapaneseGroupProber.h \
	encodingprober/JpCntx.h \
	encodingprober/nsBig5Prober.h \
	encodingprober/nsCharSetProber.h \
	encodingprober/nsCodingStateMachine.h \
	encodingprober/nsEscCharsetProber.h \
	encodingprober/nsEUCJPProber.h \
	encodingprober/nsEUCKRProber.h \
	encodingprober/nsEUCTWProber.h \
	encodingprober/nsGB2312Prober.h \
	encodingprober/nsHebrewProber.h \
	encodingprober/nsLatin1Prober.h \
	encodingprober/nsMBCSGroupProber.h \
	encodingprober/nsPkgInt.h \
	encodingprober/nsSBCharSetProber.h \
	encodingprober/nsSBCSGroupProber.h \
	encodingprober/nsSJISProber.h \
	encodingprober/nsUniversalDetector.h \
	encodingprober/qencodingprober.h \
	encodingprober/UnicodeGroupProber.h

SOURCES	+= main.cpp \
    dropshadowlabel.cpp \
	geticon.cpp \
	alyapp.cpp \
	aly.cpp \
	minisplitter.cpp \
	playerbutton.cpp \
	alyeditor.cpp \
	alyhighlighter.cpp \
	alyeditorview.cpp \
	linenumberwidget.cpp \
	lightalyeditor.cpp \
	lightalyhighlighter.cpp \
	lightlinenumberwidget.cpp \
    alyconsole.cpp \
	sourceview.cpp \
	findwidget.cpp \
	gotolinewidget.cpp \
	lightfindwidget.cpp \
	lightgotolinewidget.cpp \
	replacewidget.cpp \
	filechooser.cpp \
	usermenudialog.cpp \
	configdialog.cpp \
	aboutdialog.cpp \
	xmltagslistwidget.cpp \
	blockdata.cpp \
	keysequencedialog.cpp \
	encodingdialog.cpp \
	usercompletiondialog.cpp \
	scandialog.cpp \
	usertagslistwidget.cpp \
	addtagdialog.cpp \
	versiondialog.cpp \
	unicodedialog.cpp \
	unicodeview.cpp \
	latexhighlighter.cpp \
	latexviewdialog.cpp \
	toolbox.cpp \
	cmdparser.cpp \
	consolehighlighter.cpp \
	x11fontdialog.cpp \
	singleapp/qtlocalpeer.cpp \
	singleapp/qtlockedfile.cpp \
	singleapp/qtsingleapplication.cpp \
	singleapp/qtsinglecoreapplication.cpp \
	encodingprober/CharDistribution.cpp \
	encodingprober/ChineseGroupProber.cpp \
	encodingprober/JapaneseGroupProber.cpp \
	encodingprober/JpCntx.cpp \
	encodingprober/LangBulgarianModel.cpp \
	encodingprober/LangCyrillicModel.cpp \
	encodingprober/LangGreekModel.cpp \
	encodingprober/LangHebrewModel.cpp \
	encodingprober/LangHungarianModel.cpp \
	encodingprober/LangThaiModel.cpp \
	encodingprober/nsBig5Prober.cpp \
	encodingprober/nsCharSetProber.cpp \
	encodingprober/nsEscCharsetProber.cpp \
	encodingprober/nsEscSM.cpp \
	encodingprober/nsEUCJPProber.cpp \
	encodingprober/nsEUCKRProber.cpp \
	encodingprober/nsEUCTWProber.cpp \
	encodingprober/nsGB2312Prober.cpp \
	encodingprober/nsHebrewProber.cpp \
	encodingprober/nsLatin1Prober.cpp \
	encodingprober/nsMBCSGroupProber.cpp \
	encodingprober/nsMBCSSM.cpp \
	encodingprober/nsSBCharSetProber.cpp \
	encodingprober/nsSBCSGroupProber.cpp \
	encodingprober/nsSJISProber.cpp \
	encodingprober/nsUniversalDetector.cpp \
	encodingprober/qencodingprober.cpp \
	encodingprober/UnicodeGroupProber.cpp 
    

RESOURCES += aly.qrc
FORMS   += findwidget.ui\
	gotolinewidget.ui \
	replacewidget.ui \
	filechooser.ui \
	usermenudialog.ui \
	aboutdialog.ui \
	configdialog.ui \
	keysequencedialog.ui \
	encodingdialog.ui \
	usercompletiondialog.ui \
	scandialog.ui \
	addtagdialog.ui \
	versiondialog.ui \
	latexviewdialog.ui \
	unicodedialog.ui \
	x11fontdialog.ui

TRANSLATIONS += trans/aly_fr.ts 
################################
unix:!macx {
UI_DIR = .ui
MOC_DIR = .moc
OBJECTS_DIR = .obj
isEmpty( PREFIX ) {
    PREFIX=/usr
}
isEmpty( DESKTOPDIR ) {
    DESKTOPDIR=/usr/share/applications
}
isEmpty( ICONDIR ) {
    ICONDIR=/usr/share/pixmaps
}
isEmpty( METAINFODIR ) {
    METAINFODIR=/usr/share/metainfo
}

DEFINES += PREFIX=\\\"$${PREFIX}\\\"

INCLUDEPATH +=$${QTDIR}/include/
 

equals(AUTHORIZELINUXQSTYLES,yes){
DEFINES += AUTHORIZE_LINUX_QSTYLES
}


target.path = $${PREFIX}/bin
utilities.path = $${PREFIX}/share/aly
desktop.path = $${DESKTOPDIR}
icon.path = $${ICONDIR}
metainfo.path = $${METAINFODIR}


INSTALLS = target
SOURCES	+= singleapp/qtlockedfile_unix.cpp


utilities.files = doc/usermanual_fr.html \
	doc/doc1.png \
	doc/doc2.png \
	doc/doc3.png \
	doc/doc4.png \
	doc/doc5.png \
	doc/doc6.png \
	doc/doc7.png \
	doc/doc8.png \
	utilities/AUTHORS \
	utilities/COPYING \
	utilities/CHANGELOG.txt \
	utilities/aly16x16.png \
	utilities/aly22x22.png \
	utilities/aly32x32.png \
	utilities/aly48x48.png \
	utilities/aly64x64.png \
	utilities/aly128x128.png \
	utilities/aly.svg \
	scripts/hardwordwrap_selection_80col.tms \
	locale/qt_fr.qm \
    locale/qt_en.qm \
    locale/aly_fr.qm 
INSTALLS += utilities

desktop.files = utilities/aly.desktop
INSTALLS += desktop

icon.files = utilities/aly.png
INSTALLS += icon

isEmpty(NO_APPDATA) {
metainfo.files = utilities/aly.metainfo.xml
INSTALLS += metainfo
}
}
################################
win32 {
UI_DIR = .ui
MOC_DIR = .moc
OBJECTS_DIR = .obj

SOURCES	+= singleapp/qtlockedfile_win.cpp

LIBS_PRIVATE += -ladvapi32 -lgdi32 -luser32

RC_FILE = win.rc

equals(COMPILEUSB,no){
target.path = alywin64
utilities.path = alywin64
others.path = alywin64
platforms.path = alywin64\platforms
printsupport.path = alywin64\printsupport
} else {
DEFINES += USB_VERSION
target.path = alywin64usb
utilities.path = alywin64usb
others.path = alywin64usb
platforms.path = alywin64usb\platforms
printsupport.path = alywin64usb\printsupport
}

}
###############################
macx {
UI_DIR = .ui
MOC_DIR = .moc
OBJECTS_DIR = .obj

LIBS_PRIVATE += -framework AppKit -framework CoreFoundation

QMAKE_MAC_SDK=macosx

#QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.8
target.path = Aly


INSTALLS = target
SOURCES	+= singleapp/qtlockedfile_unix.cpp
utilities.path = Contents/Resources
utilities.files = utilities/qt_menu.nib \
	utilities/openTerminal.command \
    doc/usermanual_fr.html \
	doc/doc1.png \
	doc/doc2.png \
	doc/doc3.png \
	doc/doc4.png \
	doc/doc5.png \
	doc/doc6.png \
	doc/doc7.png \
	doc/doc8.png \
	utilities/AUTHORS \
	utilities/COPYING \
	utilities/CHANGELOG.txt \
	utilities/aly16x16.png \
	utilities/aly22x22.png \
	utilities/aly32x32.png \
	utilities/aly48x48.png \
	utilities/aly64x64.png \
	utilities/aly128x128.png \
	utilities/aly.svg \
	scripts/hardwordwrap_selection_80col.tms \
	locale/qt_fr.qm \
    locale/qt_en.qm \
    locale/aly_fr.qm 
INSTALLS += utilities

QMAKE_BUNDLE_DATA += utilities
INSTALLS += utilities
ICON = aly.icns
QMAKE_INFO_PLIST =Info.plist
}
