/***************************************************************************
 *   copyright       : (C) 2019-2021 by Pascal Brachet                     *
 *   https://www.xm1math.net/aly/                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   @license GPL-2.0+ <https://spdx.org/licenses/GPL-2.0+.html>           *
 ***************************************************************************/

#ifndef ALYAPP_H
#define ALYAPP_H


#include <QTranslator>
#include "aly.h"
#include "singleapp/qtsingleapplication.h"

class AlyApp : public QtSingleApplication
{
public:
    AlyApp(const QString &id, int & argc, char ** argv );
    ~AlyApp();
    Aly *mw;  
    void init( QStringList args );  // This function does all the initialization instead of the constructor.
    void makeTranslation(const QString &lang);
    QList<QTranslator*> translatorsList;
    static AlyApp *instance();
    void ReadSettings();
    void SaveSettings();
    QString language;
private:
    static AlyApp *theAppInstance;
protected:
    bool event(QEvent *event);
#if defined(Q_OS_MAC)
    QString MacFile;
#endif
};
inline AlyApp *AlyApp::instance()
{
	return theAppInstance;
}
#endif
