/***************************************************************************
 *   copyright       : (C) 2019-2021 by Pascal Brachet                     *
 *   https://www.xm1math.net/aly/                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   @license GPL-2.0+ <https://spdx.org/licenses/GPL-2.0+.html>           *
 ***************************************************************************/


#ifndef ALYHIGHLIGHTER_H
#define ALYHIGHLIGHTER_H


#include <QSyntaxHighlighter>
#include <QHash>
#include <QTextCharFormat>
#include <QColor>
#include <QTextBlockUserData>
//#include "latexeditor.h"

class QTextDocument;
class AlyEditor;

class AlyHighlighter : public QSyntaxHighlighter
{
    Q_OBJECT

public:
    AlyHighlighter(QTextDocument *parent = 0);
    ~AlyHighlighter();
    QColor ColorNormal, ColorComment, ColorNumber, ColorString, ColorOperator, ColorIdentifier, ColorKeyword, ColorInOut;
public slots:
void setColors(QList<QColor> colors);
void SetEditor(AlyEditor *ed);
private :
QStringList m_keywords;
bool isSpace(QChar c) const;
protected:
AlyEditor *editor;
void highlightBlock(const QString &text);
};


#endif
