/***************************************************************************
 *   copyright       : (C) 2019-2021 by Pascal Brachet                     *
 *   https://www.xm1math.net/aly/                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   @license GPL-2.0+ <https://spdx.org/licenses/GPL-2.0+.html>           *
 ***************************************************************************/

#include "blockdata.h"


QVector<ParenthesisInfo *> BlockData::parentheses() {
	return m_parentheses;
}
QVector<ParenthesisInfo *> BlockData::brackets() {
	return m_brackets;
}
QVector<BlockInfo *> BlockData::blocks() {
	return m_blocks;
}

void BlockData::insertPar( ParenthesisInfo *info ) {
	int i = 0;
	while (
		i < m_parentheses.size() &&
		info->position > m_parentheses.at(i)->position )
		++i;
	m_parentheses.insert( i, info );
}
void BlockData::insertBrack( ParenthesisInfo *info ) {
	int i = 0;
	while (
		i < m_brackets.size() &&
		info->position > m_brackets.at(i)->position )
		++i;
	m_brackets.insert( i, info );
}
void BlockData::insertLat( BlockInfo *info ) {
	int i = 0;
	while (
		i < m_blocks.size() &&
		info->position > m_blocks.at(i)->position )
		++i;
	m_blocks.insert( i, info );
}
