/***************************************************************************
 *   copyright       : (C) 2019-2021 by Pascal Brachet                     *
 *   https://www.xm1math.net/aly/                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   @license GPL-2.0+ <https://spdx.org/licenses/GPL-2.0+.html>           *
 ***************************************************************************/

#ifndef BLOCKDATA_H
#define BLOCKDATA_H

#include <QTextBlock>
#include <QTextBlockUserData>

struct ParenthesisInfo {
	QChar character;
	int position;
}; 

struct BlockInfo {
	QChar character;
	int position;
    int indent;
    bool open;
};

class BlockData : public QTextBlockUserData
{
public:
    BlockData() {indent=0;};
    static BlockData *data(const QTextBlock &block) { return static_cast<BlockData *>(block.userData()); }
    int indent;
    QVector<ParenthesisInfo *> parentheses();
    QVector<ParenthesisInfo *> brackets();
    QVector<BlockInfo *> blocks();
    void insertPar( ParenthesisInfo *info );
    void insertBrack( ParenthesisInfo *info );
    void insertLat( BlockInfo *info );
private:
	QVector<ParenthesisInfo *> m_parentheses;
    QVector<ParenthesisInfo *> m_brackets;
	QVector<BlockInfo *> m_blocks;
};

#endif
